Skip to main content
GET
Retrieve an order

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

User-Agent
string
header
default:BosscartDocs/1.0
required

Client identifier sent with requests from the documentation playground.

Path Parameters

id
integer
required

The id of the order.

Example:

1234

Response

A single order.

id
integer

Unique identifier.

Example:

1234

invoiceNo
integer

Invoice number assigned to the order.

Example:

15

created
integer<int64>

Timestamp in Unix seconds since epoch (time placed).

Example:

1573397217

customerName
string
Example:

"John Doe"

customerEmail
string<email>
Example:

"john@email.com"

contactId
integer

Unique identifier of the contact that made the order.

memberId
integer

Unique identifier of the registered member that made the order (if any).

shippingAddress
object

A billing or shipping address.

billingAddress
object

A billing or shipping address.

shippingRequired
boolean

Whether the order contains physical products requiring shipping.

weight
number

Total weight of the order.

Example:

0

weightUnit
string

Weight unit (kg, lb).

Example:

"kg"

subTotal
number
Example:

49

total
number
Example:

49

discountCode
string | null

Used discount code.

discountType
enum<string> | null

Type of discount used.

Available options:
fixed_discount,
percent_discount,
free_shipping,
null
discountAmount
number
Example:

0

shippingName
string

Shipping method used (if any).

shippingAmount
number

Cost of shipping.

Example:

0

paid
boolean

Whether the order is paid.

paymentMethod
string

Payment method used to place the order.

Example:

"stripe"

transactionId
string

If paid, the payment transaction id.

status
enum<string>

Order status. Returned in lowercase; see the Update operation for the accepted uppercase input values.

Available options:
pending,
shipped,
completed,
canceled,
archived
Example:

"completed"

taxes
object[]
items
object[]
tags
string[]

List of tags assigned to the order.

additionalFields
object[]

Field/value pairs of all additional fields collected with the order.

notes
object[]

Private notes added to this order (time/value pairs).

Last modified on September 2, 2026